# Visecas is a graphical user interface for Ecasound
# Copyright (C) 2003 - 2004  Jan Weil <jan.weil@web.de>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# ---------------------------------------------------------------------------

require "visecas/config"
require "gtk2"
require "libglade2"

module Visecas

class PropertiesDialog < Gtk::Dialog
    RESPONSE_CLOSE = 0

    def initialize(chainsetup)
        super()
        @chainsetup = chainsetup
        self.modal = true
        self.border_width = 6
        self.vbox.spacing = 12
        self.has_separator = false
        self.resizable = false
        self.add_button(Gtk::Stock::CLOSE, RESPONSE_CLOSE)
        @glade = GladeXML.new(File::join(GLADE_DIR, "chainsetup-properties.glade"), "child") {|handler| puts(handler)}
        self.vbox.add(w("child"))

        size_group = Gtk::SizeGroup.new(1)
        size_group.add_widget(w("updated_label"))
        size_group.add_widget(w("truncated_label"))

        size_group = Gtk::SizeGroup.new(1)
        size_group.add_widget(w("priority_label"))
        size_group.add_widget(w("double_buffersize_label"))
    end

    private

    def w(str)
        @glade.get_widget(str)
    end

end # PropertiesDialog

end # Visecas::

